Guard Tebose:
The thing is, these craters around the Ivory Tower were made by shooting stars a long time ago. The Ivory Tower was created by Mages who knew the mysterious power of extinguihed stars.
The Elmoraden Empire was governed by Mages who harnessed the power of these stars, but as time passed the power ebbed and the influence of the Ivory Tower grew weaker. Then, 50 years ago, a Great Wizard began experimenting with the power of shooting stars. However his work was incomplete, and the Mages have yet to regain anything resembling their former power. Consequently, many strange creatures have taken up residence around the tower.
Return